Difference between revisions of "User:Maxcodes/vector.css"

Explain xkcd: It's 'cause you're dumb.
Jump to: navigation, search
(visited link styling)
(dark mode logo invert)
 
(27 intermediate revisions by the same user not shown)
Line 9: Line 9:
 
}
 
}
  
a, a:visited {
+
#content {
 +
  background-color: var(--ctp-base);
 +
  color: var(--ctp-text);
 +
}
 +
 
 +
#mw-head, #mw-panel {
 +
  background-color: var(--ctp-mantle);
 +
}
 +
 
 +
/*#mw-panel {
 +
  background-color: var(--ctp-crust);
 +
}*/
 +
 
 +
#siteSub {
 +
  color: var(--ctp-subtext-0);
 +
}
 +
 
 +
a, a:any-link {
 
   color: var(--ctp-blue);
 
   color: var(--ctp-blue);
 
}
 
}
Line 25: Line 42:
 
}
 
}
  
.pBody {
+
/*.pBody {
 +
  background-color: var(--ctp-mantle);
 +
}*/
 +
 
 +
pre,
 +
.mw-code {
 
   background-color: var(--ctp-mantle);
 
   background-color: var(--ctp-mantle);
 +
  color: var(--ctp-text);
 +
}
 +
 +
.comic-content {
 +
  background-color: var(--ctp-base) !important;
 +
}
 +
 +
.notice1_tpl {
 +
  background-color: var(--ctp-base) !important;
 +
  border-left-color: var(--ctp-lavender) !important;
 +
}
 +
 +
.notice2_tpl {
 +
  background-color: var(--ctp-base) !important;
 +
  border-left-color: var(--ctp-red) !important;
 +
}
 +
 +
.incomplete-notice {
 +
  border-left-color: var(--ctp-blue) !important;
 
}
 
}
  
.ambox {
+
@media (prefers-color-scheme: dark) {
   background-color: var(--ctp-surface-0);
+
   #p-logo {
 +
    filter: invert(100%);
 +
  }
 
}
 
}

Latest revision as of 04:28, 23 February 2026

/*
Variables defined in User:Maxcodes/common.css
*/

:root {
  background-color: var(--ctp-base);
  color: var(--ctp-text);
  caret-color: var(--ctp-rosewater);
}

#content {
  background-color: var(--ctp-base);
  color: var(--ctp-text);
}

#mw-head, #mw-panel {
  background-color: var(--ctp-mantle);
}

/*#mw-panel {
  background-color: var(--ctp-crust);
}*/

#siteSub {
  color: var(--ctp-subtext-0);
}

a, a:any-link {
  color: var(--ctp-blue);
}

h1 {
  color: var(--ctp-text);
}

.dangerousLink {
  color: var(--ctp-yellow);
}

.error {
  color: var(--ctp-red);
}

/*.pBody {
  background-color: var(--ctp-mantle);
}*/

pre,
.mw-code {
  background-color: var(--ctp-mantle);
  color: var(--ctp-text);
}

.comic-content {
  background-color: var(--ctp-base) !important;
}

.notice1_tpl {
  background-color: var(--ctp-base) !important;
  border-left-color: var(--ctp-lavender) !important;
}

.notice2_tpl {
  background-color: var(--ctp-base) !important;
  border-left-color: var(--ctp-red) !important;
}

.incomplete-notice {
  border-left-color: var(--ctp-blue) !important;
}

@media (prefers-color-scheme: dark) {
  #p-logo {
    filter: invert(100%);
  }
}